Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLAPMT

    java.lang.Object
      org.netlib.lapack.SLAPMT

    public class SLAPMT

extends java.lang.Object

    SLAPMT is a simplified interface to the JLAPACK routine slapmt.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAPMT rearranges the columns of the M by N matrix X as specified
     *  by the permutation K(1),K(2),...,K(N) of the integers 1,...,N.
     *  If FORWRD = .TRUE.,  forward permutation:
     *
     *       X(*,K(J)) is moved X(*,J) for J = 1,2,...,N.
     *
     *  If FORWRD = .FALSE., backward permutation:
     *
     *       X(*,J) is moved to X(*,K(J)) for J = 1,2,...,N.
     *
     *  Arguments
     *  =========
     *
     *  FORWRD  (input) LOGICAL
     *          = .TRUE., forward permutation
     *          = .FALSE., backward permutation
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix X. M >= 0.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrix X. N >= 0.
     *
     *  X       (input/output) REAL array, dimension (LDX,N)
     *          On entry, the M by N matrix X.
     *          On exit, X contains the permuted matrix X.
     *
     *  LDX     (input) INTEGER
     *          The leading dimension of the array X, LDX >= MAX(1,M).
     *
     *  K       (input/output) INTEGER array, dimension (N)
     *          On entry, K contains the permutation vector. K is used as
     *          internal workspace, but reset to its original value on
     *          output.
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`SLAPMT()`

Method Summary
`static void` | `SLAPMT(boolean forwrd, int m, int n, float[][] x, int[] k)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLAPMT

    public SLAPMT()

Method Detail

### SLAPMT

    public static void SLAPMT(boolean forwrd,
                              int m,
                              int n,
                              float[][] x,
                              int[] k)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD